Problemas atualizações Pop!_os 22.04lts

Ao tentar atualizar pacotes do Pop!_OS 22.04 LTS recebo a seguinte mensagem de erro:

**dpkg**: erro ao processar o pacote chrony (--configure):
 o subprocesso instalado, do pacote chrony, o script post-installation retornou erro do status de saída 10
Erros foram encontrados durante o processamento de:
 chrony
**E**: Sub-process /usr/bin/dpkg returned an error code (1)

Isso utlizando o comando sudo apt upgrade, quando tentei atualizar pela pop_shop a atualização não acontece e a pop_shop fecha.

Parece que o problema é com o pacote chrony. Tente removê-lo e depois instalá-lo novamente.

sudo apt purge chrony
sudo apt install chrony

Importante verificar se tem pacotes que precisam desse como dependência. Pois se houver, eles serão removidos também.

Outros comandos que você pode tentar:

sudo apt install -f
sudo dpkg --configure -a

1 curtida

Tentei, porem vinha dando o mesmo erro, mas ainda assim muito obrigado. ;D

O primeiro link ajudou com o último método, foi o único que resolveu, mover os arquivos com problema para a pasta tmp e depois atualizar como se eles não estivessem instalados, se não entendi errado é o que isso faz. Muito obrigado ;D.

Este tópico foi fechado automaticamente 3 dias depois da última resposta. Novas respostas não são mais permitidas.